/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Benjamin Grauer
   co-programmer: ...
*/

//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY

#include "state.h"


#include "camera.h"
#include "cameraman.h"

#ifndef NULL
#define NULL 0
#endif





Camera* State::camera = NULL;
CameraTarget* State::cameraTarget = NULL;

CameraMan* State::cameraManager = NULL;

PNode* State::cameraNode = NULL;
PNode* State::cameraTargetNode = NULL;

SkyBox* State::skyBox = NULL;

ObjectManager* State::objectManager = NULL;
ScriptManager* State::scriptManager = NULL;

unsigned int State::resX = 1;
unsigned int State::resY = 1;

StoryEntity* State::storyEntity = NULL;
GameRules* State::gameRules = NULL;

Player* State::player = NULL;

bool State::bOnline = false;

int State::menuID = -1;


/**
 *  sets camera and target of the current Camera
*/
void State::setCamera(Camera* camera, CameraTarget* cameraTarget)
{
  State::camera = camera;
  State::cameraTarget = cameraTarget;
  State::cameraNode = camera;
  State::cameraTargetNode = cameraTarget;
}


void State::setCameraman(CameraMan* cm)

{
  State::cameraManager=cm;
}
